### Method

# Gdk Toplevel set_decorated

#### Declaration [src]

    void
    gdk_toplevel_set_decorated (
      GdkToplevel* toplevel,
      gboolean decorated
    )

#### Description [src]

Sets the toplevel to be decorated.

Setting `decorated` to `FALSE` hints the desktop environment that the surface has its own, client-side decorations and does not need to have window decorations added.

Sets property | `Gdk.Toplevel:decorated`

#### Parameters

`decorated` | `gboolean`
| `TRUE` to request decorations.